Soporte » Instalación – Actualizaciones » Orden al actualizar WordPress, tema y plugins

  • Hola, tengo que actualizar una configuración antigua de WordPress, y tengo que actualizar:

    • Wordress en si
    • El tema
    • Los plugins
    • Y la versión del PHP del lado servidor

    La pregunta es, en que orden recomendáis hacerlo? Que tengo que actualizar primero.

    Gracias!

    La página con la que necesito ayuda: [accede para ver el enlace]

Viendo 3 respuestas - de la 1 a la 3 (de un total de 3)
  • Moderador kallookoo

    (@kallookoo)

    Hola @minoumax

    Lo primero es mirar el soporte para la nueva version de PHP, es decir si los plugins y el tema lo soportarian.

    Si es necesario que tu web este siempre online, entonces deberas crear una copia para probar las actualizaciones ya sea en local o un stage y si todo funciona correctamente ya puedes hacerlo en la web, cuando sepas que tienes menos visitantes.

    Una vez confirmado, haz un backup de todo. Vamos de la base de datos y todos los archivos. Ya que nunca se sabe.

    Ahora te comento como suelo hacerlo yo:

    – Theme
    – Plugins, si son muchos selecciono como maximo 5, asi puedo deducir mas rapido si despues de esas actualizaciones esta fallado algo o que por algun motivo el hosting se quede sin recursos y falle el proceso.
    – WordPress, Basicamente lo hago al final ya que salvo alguna excecion tanto el theme como los plugins dan soporte a versiones anteriores y no al reves

    Hola @minoumax

    Antes de actualizar, haz una copia de seguridad del sitio.

    Si la instalación es muy antigua, actualiza primero el núcleo de WordPress ya que se suele mantener la retro compatibilidad.

    Después los plugins, uno a uno, y al final el tema.

    Por último actualiza la versión PHP del servidor.

    Hazlo paso a paso ya que es posible que algún plugin no se pueda actualizar por no ser compatible con la versión de PHP que tengas ahora. Si es así, actualizalo después de cambiar la versión de PHP, que debería ser, como mímino, la 8.1.

    En cada paso, comprueba que todo funciona.

    Moderador kallookoo

    (@kallookoo)

    Hola @minoumax

    Como ves, podemos decir que no existe una biblia de como hacerlo.
    Yo te lo comente de una manera y el compañero @jrberguill de otra.

    Es decir yo doy prioridad a la compatibilidad de los plugins o themes tanto para el WordPress como el PHP y el confia en la retro compatibilidad del WordPress (es decir que espera que siga funcionado algo porque el WordPress suele mantener codigo antiguo) y sobre el PHP aunque es cierto que ya no existen actualizaciones para las versiones anteriores a la 8.1, se tiene que pensar aunque lamentablemente que no todo los hostings o el plan que se tenga contratado tenga la posiblidad de actualizarse a las ultimas versiones de PHP y por lo tanto yo miro que posibles versiones de PHP puedo cambiar y su compatibilidad.
    Por ejemplo, si necesito un plugin si o si y no existe ninguna alternativa y no soporta la 8.3 (Ultima version del PHP) pero tanto el plugin con el hosting puedo usar la 8.0, uso la 8.0 y contacto con el autor del plugin para que lo actualice.

Viendo 3 respuestas - de la 1 a la 3 (de un total de 3)
  • Debes estar registrado para responder a este debate.